• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • Firmware 2.0 is out
    The file is called: iPhone1,2_2.0_5A347_Restore.ipsw and you can snag it from apple here http://appldnld.apple.com.edgesuite....7_Restore.ipsw

    keep in mind this is only for the iphone. Ipod touch users will have to wait a little bit longer today. Also when you go to put it on your phone, for windows users hold the shift key when you click restore so you can tell it to use the file downloaded.



    Use it at your own risk, and keep in mind if you have an unlocked phone, this will lock it, so dont install it. Your phone wont be jailbroken either.

    If you do update your phone, you can install apps now. Super monkey ball rocks, and the ebay app is very nice


    EDIT
    The 2.0 firmware erases every bit of data and info on your iPhone and completely installs the iPhone 2.0 firmware. So as long as you are on AT&T, you can officially use all features available on the phone.

    Your phone obviously WONT be unlocked, NOT would it be jailbroken.
    This article was originally published in forum thread: Firmware 2.0 is out started by .:MirrorminD:. View original post
    Comments 196 Comments
    1. fungrified's Avatar
      fungrified -
      Quote Originally Posted by tijs View Post
      could somebody upload an .ipa file for me (these are the downloaded applications in the 'mobile applications' folder.
      I can get an itunes account
      there is apples Remote app .ipa
    1. jfmsam's Avatar
      jfmsam -
      Quote Originally Posted by nostradms View Post
      jfmsam

      those were the betas, the final is different.


      According to BigBoss DFU mode brings you to error 1600 and restore gives you error 20. Also iTunes under 7.7 won't recognise iPhone as a Phone.

      Do not upgrade yet.
      I've been running 7.7d31 since it came out and it is not an issue with iTunes.
      I'm still running 5a345 (beta 8) with apps and everything.

      Haven't tried 5a347 nor compared if there is a later release of iTunes 7.7 to see if they plugged a whole (if any).

      For the moment I can't confirm until I upgrade and try it myself, and that will take a while (installed too many apps...)

      If you update to 2.0 on iTunes 7.7 and you want to downgrade:
      You MUST put it in DFU mode to restore to 1.1.4, RECOVERY mode WILL NOT work. The error above mentioned is because DFU was not enabled.
      If 7.7 gives you trouble, try 7.6.2...
      You will get error 1015. To kick it out of Restore mode, use Ziphone or iLiberty. You may have to install 1.1.4 twice to do so.
      Use a BaseBand downgrader to restore it to the 1.1.4 BaseBand.
      This worked for my 5a345 and should work for 5a347... if not I will update this post later.
      Confirmed: you can downgrade http://sleepers.net/news/?page_id=216
      I just did it...
    1. brando087's Avatar
      brando087 -
      ok so i just recently went to the att tilt for mms.. is it possible to still use my iphone with the unlimited pda plan i now have? if so, do you think if i updated my iphone it would work? or does it need the special iphone plan to activate?
    1. .:MirrorminD:.'s Avatar
      .:MirrorminD:. -
      Quote Originally Posted by brando087 View Post
      ok so i just recently went to the att tilt for mms.. is it possible to still use my iphone with the unlimited pda plan i now have? if so, do you think if i updated my iphone it would work? or does it need the special iphone plan to activate?
      I went to the Tilt as well, than i didnt like how sluggish it was so i went back to the iphone. In theory it should work except for your visual voicemail im guessing. But you should be able to still update it
    1. brando087's Avatar
      brando087 -
      cool.. thanks im updating now.. i figure if it doesnt work when im done then im no better off than i was.. ill let you guys know..
    1. Lyle's Avatar
      Lyle -
      Quote Originally Posted by princemarko View Post
      I love how some excited idiots post "i upgraded on 2.0, everything is working 100%, blah blah blah". YOU NEED TO REALIZE YOU GAVE THE IMPRESSION YOU WERE ON AN UNLOCKED iPHONE!!! Of course you can update to 2.0 if you are on AT&T.

      I couldn't agree more. Well said.
    1. billchase2's Avatar
      billchase2 -
      currently running 2.0 :-)
    1. .:MirrorminD:.'s Avatar
      .:MirrorminD:. -
      ok after playing around with exchange a little bit more...it seems if you get an email from someone that is in a subfolder it doesnt push that, you have to fetch it manually.
    1. CodyR1951's Avatar
      CodyR1951 -
      man... it takes FOREVER to "prepare iPhone for software update"...
      i'm waiting... and waiting... I've already downloaded apps via iTunes App store... Can't wait to install them!
    1. preshit's Avatar
      preshit -
      Someone update the first post with this information:

      The 2.0 firmware erases every bit of data and info on your iPhone and completely installs the iPhone 2.0 firmware. So as long as you are on AT&T, you can officially use all features available on the phone.

      Your phone obviously WONT be unlocked, NOT would it be jailbroken.
    1. billchase2's Avatar
      billchase2 -
      Quote Originally Posted by CodyR1951 View Post
      man... it takes FOREVER to "prepare iPhone for software update"...
      i'm waiting... and waiting... I've already downloaded apps via iTunes App store... Can't wait to install them!
      mine did that for over 25 minutes. i canceled it, restarted itunes, and tried it again. second attempt did it much faster.
    1. tijs's Avatar
      tijs -
      thank you sir, I could easily drag and drop the downloaded file to my library. what if it would be an application that has a price? if that works...
    1. billchase2's Avatar
      billchase2 -
      hahaha, someone on macrumors posted this image. nice job, apple...

    1. tijs's Avatar
      tijs -
      well i could drop it in the library, but it needs authorization.... this means.. no warez.
    1. exodeus's Avatar
      exodeus -
      I think Doeerfan has a legit bought iPhone from the US using AT&T Networks, This is why he can upgrade to 2.0 and everything works for him! - SMS, in/out calls, WiFi. - He didn't need to get it unlocked, only jailbroken, read the FAQ on iPhone Lingo, if you need to know what Jailbroken means.

      People like me, who live in CANADA, and who are on Rogers, or TMobile networks, CANNOT use the 2.0 Upgrade because were not using AT&T, hence IF WE do the upgrade, our iPhones in 2.0 FW will not work!!...This is why all of us UNLOCKED iPhones users, MUST wait for the DEV TEAM to release a method to unlock our iPhones!

      Im prettty sure it'll be real quick, so sit back and relax with your 1.1.3 and 1.1.4 FW's and wait it out for a few more days until.

      I hope this helped
    1. krostad's Avatar
      krostad -
      I do not get a .ipsw file when I unzip.
      what am I doing wrong?
      Get two dmg´s and a lot of other stuff..
    1. jfmsam's Avatar
      jfmsam -
      Quote Originally Posted by .:MirrorminD:. View Post
      ok after playing around with exchange a little bit more...it seems if you get an email from someone that is in a subfolder it doesnt push that, you have to fetch it manually.
      Apple failed to include a feature to select folders you do wish to sync like in WM6. I'm sure this will be added soon.
    1. billchase2's Avatar
      billchase2 -
      finally finished syncing... off to work i go! good luck everyone!!
    1. zkyevolved's Avatar
      zkyevolved -
      Jailbreak it Jailbreak ittt baby!!!
    1. jfmsam's Avatar
      jfmsam -
      Quote Originally Posted by billchase2 View Post
      hahaha, someone on macrumors posted this image. nice job, apple...

      Very Fake...